=== debian/changelog ===
partitionmanager (1.0.1-1ubuntu3) lucid; urgency=low

  * Build against parted 2.2.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 09 Mar 2010 00:46:06 +0000

partitionmanager (1.0.1-1ubuntu2) lucid; urgency=low

  * Build against parted 2.1.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 26 Feb 2010 18:15:46 +0000

partitionmanager (1.0.1-1ubuntu1) lucid; urgency=low

  * Merge with Debian Testing, remaining changes:
    - Keep partitionmanager.pod so that we have a manpage
    - Build the partitionmanager KCM since we can handle root KCMs

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Tue, 26 Jan 2010 08:48:57 -0500

partitionmanager (1.0.1-1) unstable; urgency=low

  * New upstream release.

  [ José Manuel Santamaría Lema ]
  * Add uversionmangle=s/-/~/;y/A-Z/a-z/ to watch file.

  [ George Kiagiadakis ]
  * Update copyright years.

 -- George Kiagiadakis <gkiagiad@csd.uoc.gr>  Sat, 23 Jan 2010 14:06:33 +0200

partitionmanager (1.0.0-1ubuntu1) lucid; urgency=low

  * Merge with Debian Testing, remaining changes:
    - Keep partitionmanager.pod so that we have a manpage
    - Build the partitionmanager KCM since we can handle root KCMs
    - src/jobs/job.cpp: Interpret any filesystem type starting with
      "linux-swap" as a swap partition.

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Tue, 03 Nov 2009 14:32:57 -0500

partitionmanager (1.0.0-0ubuntu3) karmic; urgency=low

  * src/jobs/job.cpp: Interpret any filesystem type starting with
    "linux-swap" as a swap partition.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 06 Oct 2009 09:32:37 +0100

partitionmanager (1.0.0-0ubuntu2) karmic; urgency=low

  * Fixed debian/control:
    - Added Suggests section for "fsutils" tools

 -- Anthony Mercatante <tonio@ubuntu.com>  Fri, 11 Sep 2009 14:45:36 +0200

partitionmanager (1.0.0-1) unstable; urgency=low

  * New upstream release.
  * Bump standards-version to 3.8.3 (no changes required).

 -- George Kiagiadakis <gkiagiad@csd.uoc.gr>  Sun, 23 Aug 2009 15:08:57 +0300

partitionmanager (1.0.0-0ubuntu1) karmic; urgency=low

  * New upstream release
  * Bump Standards-Version to 3.8.3 - no changes needed

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Tue, 18 Aug 2009 13:06:15 -0400

partitionmanager (1.0.0~rc1-1) unstable; urgency=low

  * New upstream release candidate.
  * Disable building the partitionmanager kcm, as it
    is requires systemsettings to be running as root and
    it ends up being just confusing and not useful at all.

 -- George Kiagiadakis <gkiagiad@csd.uoc.gr>  Sat, 15 Aug 2009 19:26:29 +0300

partitionmanager (1.0.0~rc1-0ubuntu1) karmic; urgency=low

  [ Christian Mangold ]
  * New upstream release (LP: #408572)
  * Update maintainer
  
  [ Chris Coulson ]
  * Bump Standards-Version to 3.8.2 - no changes needed.

 -- Christian Mangold <neversfelde@ubuntu.com>  Mon, 03 Aug 2009 22:43:59 +0200

partitionmanager (1.0.0~beta3-0ubuntu2) karmic; urgency=low

  * Rebuild against libparted1.8-12.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 15 Jul 2009 11:55:12 +0100

partitionmanager (1.0.0~beta3-1) unstable; urgency=low

  * New upstream beta release.
  * Bump standards-version to 3.8.2 (No changes required).
  * As a side effect, package will be rebuilt against
    libparted1.8-12. (Closes: #534252)

 -- George Kiagiadakis <gkiagiad@csd.uoc.gr>  Tue, 23 Jun 2009 18:51:47 +0300

partitionmanager (1.0.0~beta3-0ubuntu1) karmic; urgency=low

  [ Christian Mangold ]
  * New upstream beta release (LP: #383702)
  * debian/rules:
    - Remove /usr/share/pkg-kde-tools/qt-kde-team/1/debian-qt-kde.mk
    - Use /usr/share/cdbs/1/rules/debhelper.mk
    - Use /usr/share/pkg-kde-tools/makefiles/1/cdbs/kde.mk

  [ Jonathan Thomas ]
  * Bump debhelper build-depend version to 7 since we use pkg-kde-tools (bumped
    compat too)
  * partitionmanager depends on ${misc:Depends}, to satisfy lintain

 -- Christian Mangold <neversfelde@ubuntu.com>  Thu, 04 Jun 2009 20:19:38 +0200

partitionmanager (1.0.0~beta2-1) unstable; urgency=low

  * New upstream beta release.
  * Bump standards-version to 3.8.1.

 -- George Kiagiadakis <gkiagiad@csd.uoc.gr>  Mon, 01 Jun 2009 18:17:12 +0300

partitionmanager (1.0.0~beta2-0ubuntu1) karmic; urgency=low

  * New upstream release
  * Remove debian/patches (icon is now included)
    + drop quilt build-dep
  * Bump standards-version to 3.8.1
  * Update lintian override with manpage for partitionmanager-bin, the 
    actually binary is now a wrapper around -bin, so we don't need an
    additional manpage
  * Use pkg-kde-tools for building instead of CDBS' kde4.mk

 -- Harald Sitter <apachelogger@ubuntu.com>  Sat, 02 May 2009 14:50:18 +0200

partitionmanager (1.0.0~beta1a-1) unstable; urgency=low

  * Initial release (Closes: #512097)

 -- George Kiagiadakis <gkiagiad@csd.uoc.gr>  Wed, 15 Apr 2009 23:02:49 +0300

partitionmanager (1.0.0~beta1a-0ubuntu2) jaunty; urgency=low

  * Added desktop_icon.diff (LP: #330662)
    - Set icon to 'drive-harddisk' as a temporary fix, until an icon is
      included in the source
  * Added build dep on quilt

 -- Christian Mangold <neversfelde@ubuntu.com>  Tue, 17 Feb 2009 19:13:50 +0100

partitionmanager (1.0.0~beta1a-0ubuntu1) jaunty; urgency=low

  [ Christopher Swift ]
  * Initial release (LP: #317974).

  [ Anthony Mercatante ]
  * Added debian/partitionmanager.override file

 -- Anthony Mercatante <tonio@ubuntu.com>  Fri, 23 Jan 2009 17:57:36 +0100
