=== debian/control ===
Source: partitionmanager
Section: admin
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: George Kiagiadakis <gkiagiad@csd.uoc.gr>
Build-Depends: cdbs (>= 0.4.51), debhelper (>= 7), pkg-kde-tools (>= 0.4.2),
 kdelibs5-dev, libblkid-dev, libparted0-dev (>= 2.2), uuid-dev, pkg-config
Standards-Version: 3.8.3
Homepage: http://www.partitionmanager.org

Package: partitionmanager
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: dosfstools, reiserfsprogs, reiser4progs, xfsprogs, jfsutils,
 ntfsprogs, hfsutils, hfsplus, udev
Description: A partition management utility
 Partition Manager is a utility program to help you manage the disk devices,
 partitions and file systems on your computer. It allows you to easily create,
 copy, move, delete, resize without losing data, backup and restore partitions.
 .
 Partition Manager supports a large number of file systems, including ext2/3/4,
 reiserfs, NTFS, FAT16/32, jfs, xfs and more. Note that to gain support for a
 specific file system other than ext2/3/4, you should install the corresponding
 suggested package.
 .
 Partition Manager is based on libparted (like gparted) and makes use of the
 KDE libraries for its user interface.
