## partitionmanager 1.0.2

=== debian/changelog ===
partitionmanager (1.0.2-1) unstable; urgency=low

  * New upstream release.
  * Explicitly add cmake to build dependencies.

 -- George Kiagiadakis <gkiagiad@csd.uoc.gr>  Wed, 12 May 2010 13:14:01 +0300

partitionmanager (1.0.1-2) unstable; urgency=low

  [ George Kiagiadakis ]
  * Remove the udev suggest since vol_id is now gone from udev and
    partitionmanager can use blkid from util-linux, which is essential.

  [ Fathi Boudra ]
  * Add 01_ftbfs_binutils-gold patch. (Closes: #556051)
  * Build against parted 2.2. (Closes: #574907)
  * Bump standards-version to 3.8.4 (no changes needed).

 -- Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>  Tue, 23 Mar 2010 09:24:08 +0100
