=== debian/control ===
--- 
+++ 
@@ -1,19 +1,19 @@
 Source: partitionmanager
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
+Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: George Kiagiadakis <gkiagiad@csd.uoc.gr>
-Build-Depends: cdbs (>= 0.4.51), debhelper (>= 7), pkg-kde-tools (>= 0.4.2),
- kdelibs5-dev, libblkid-dev, libparted0-dev (>= 2.2), uuid-dev, pkg-config
-Standards-Version: 3.8.3
+Build-Depends: cdbs (>= 0.4.51), debhelper (>= 7), pkg-kde-tools (>= 0.6.4),
+ kdelibs5-dev, libblkid-dev, libparted0-dev (>= 2.2), uuid-dev, pkg-config,
+ cmake
+Standards-Version: 3.8.4
 Homepage: http://www.partitionmanager.org
 
 Package: partitionmanager
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Suggests: dosfstools, reiserfsprogs, reiser4progs, xfsprogs, jfsutils,
- ntfsprogs, hfsutils, hfsplus, udev
+ ntfsprogs, hfsutils, hfsplus
 Description: A partition management utility
  Partition Manager is a utility program to help you manage the disk devices,
  partitions and file systems on your computer. It allows you to easily create,
