## partitionmanager 1.0.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -26,7 +26,7 @@
 
 set(VERSION_MAJOR "1")
 set(VERSION_MINOR "0")
-set(VERSION_RELEASE "1")
+set(VERSION_RELEASE "3")
 set(VERSION_SUFFIX "")
 set(VERSION ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_RELEASE}${VERSION_SUFFIX})
 add_definitions(-D'VERSION="${VERSION}"')
