=== src/CMakeLists.txt ===
--- 
+++ 
@@ -46,7 +46,7 @@
 
 kde4_add_executable(partitionmanager-bin ${partitionmanager-bin_SRCS})
 
-target_link_libraries(partitionmanager-bin partitionmanagerprivate)
+target_link_libraries(partitionmanager-bin partitionmanagerprivate ${KDE4_KDECORE_LIBS} ${KDE4_KDEUI_LIBS})
 
 if(UNIX)
 	add_custom_target(partitionmanager ALL
@@ -87,7 +87,7 @@
 
 ############################################
 
-option(PARTMAN_KCM "Build a kcm for KDE Partition Manager" ON)
+option(PARTMAN_KCM "Build a kcm for KDE Partition Manager" OFF)
 
 if(PARTMAN_KCM)
 	file(GLOB partitionmanagerkcm_SRCS kcm/partitionmanagerkcm.cpp)
