=== debian/changelog ===
partitionmanager (1.0.3-2ubuntu2) trusty; urgency=low

  * Suggest ntfs-3g, instead of ntfsprogs. (LP: #1216470)

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 11 Dec 2013 15:52:30 +0000

partitionmanager (1.0.3-2ubuntu1) trusty; urgency=low

  * Merge with Debian unstable, remaining changes:
    - Keep partitionmanager.pod and debian/rules changes so that we have a manpage

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 11 Dec 2013 15:31:32 +0000

partitionmanager (1.0.3-2) unstable; urgency=low

  * Upload to unstable
  * Update debian/control - Standards-Version & Vcs

 -- Mark Purcell <msp@debian.org>  Sun, 12 May 2013 10:14:07 +1000

partitionmanager (1.0.3-1) experimental; urgency=low

  * New upstream release 
    - Drop 01_ftbfs_binutils-gold.diff
  * Add myself to Uploaders
  * Added Vcs fields
  * Updated Description - fixes description-synopsis-starts-with-article
  * debian/compat -> 9

 -- Mark Purcell <msp@debian.org>  Sun, 21 Apr 2013 09:22:56 +1000

partitionmanager (1.0.3-0ubuntu7) trusty; urgency=low

  * Suggest ntfs-3g, instead of ntfsprogs. (LP: #1216470)

 -- Dmitrijs Ledkovs <xnox@ubuntu.com>  Wed, 06 Nov 2013 00:46:06 +0000

partitionmanager (1.0.3-0ubuntu6) raring; urgency=low

  * Property remove patch.

 -- Harald Sitter <apachelogger@ubuntu.com>  Fri, 08 Mar 2013 21:16:59 +0100

partitionmanager (1.0.3-0ubuntu5) raring; urgency=low

  * Disable KCM building. This actually was changed upstream between
    1.0.0 and 1.0.1 only we did not notice because we explitictly enabled it
    after Debian had explitictly disabled it (was default on in 1.0.0).
    Upstream would like us to not ship it as it is duplication with the
    standalone application (KDE Bug 316188)
  * Drop kubuntu_01_fix_systemsettings_category.diff as we are not building
    the KCM the patch is not needed.

 -- Harald Sitter <apachelogger@ubuntu.com>  Fri, 08 Mar 2013 21:08:02 +0100

partitionmanager (1.0.3-0ubuntu4) oneiric; urgency=low

  * No-change rebuild to stop desktop file stripping (LP: #851953)

 -- Harald Sitter <apachelogger@ubuntu.com>  Fri, 16 Sep 2011 17:40:39 +0200

partitionmanager (1.0.3-0ubuntu3) oneiric; urgency=low

  * Rebuild to import translations as the package has been promoted to main.

 -- Felix Geyer <debfx-pkg@fobos.de>  Thu, 21 Jul 2011 13:49:13 +0200

partitionmanager (1.0.3-0ubuntu2) natty; urgency=low

  * Rebuild against kdelibs5-dev 4.5.2a for libkutils4 transition 

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Thu, 28 Oct 2010 03:54:27 +0200

partitionmanager (1.0.3-0ubuntu1) maverick; urgency=low

  * New upstrem release
    - Remove 01_ftbfs_binutils-gold.diff fixed by upstream

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Wed, 01 Sep 2010 22:36:31 +0200

partitionmanager (1.0.2-1ubuntu2) maverick; urgency=low

  * Add kubuntu_01_fix_systemsettings_category.diff changing the parent
    category in systemsettings to a value available in KDE 4.5.

 -- Felix Geyer <debfx-pkg@fobos.de>  Sun, 15 Aug 2010 22:45:01 +0200

partitionmanager (1.0.2-1ubuntu1) maverick; urgency=low

  * Merge with Debian unstable (LP: #579728), remaining changes:
    - Keep partitionmanager.pod so that we have a manpage
    - Build the partitionmanager KCM since we can handle root KCMs

 -- Felix Geyer <debfx-pkg@fobos.de>  Thu, 13 May 2010 03:08:47 +0200
