=== debian/control ===
--- 
+++ 
@@ -1,20 +1,23 @@
 Source: partitionmanager
 Section: admin
 Priority: optional
-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
-Uploaders: George Kiagiadakis <gkiagiad@csd.uoc.gr>
-Build-Depends: cdbs (>= 0.4.51), debhelper (>= 7), pkg-kde-tools (>= 0.6.4),
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
+Uploaders: Mark Purcell <msp@debian.org>, George Kiagiadakis <gkiagiad@csd.uoc.gr>
+Build-Depends: cdbs (>= 0.4.51), debhelper (>= 9), pkg-kde-tools (>= 0.6.4),
  kdelibs5-dev, libblkid-dev, libparted0-dev (>= 2.2), uuid-dev, pkg-config,
  cmake
-Standards-Version: 3.8.4
+Standards-Version: 3.9.4
 Homepage: http://www.partitionmanager.org
+Vcs-Svn: svn://anonscm.debian.org/pkg-kde/kde-extras/partionmanager/trunk/
+Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-kde/kde-extras/partionmanager/trunk/
 
 Package: partitionmanager
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Suggests: dosfstools, reiserfsprogs, reiser4progs, xfsprogs, jfsutils,
- ntfsprogs, hfsutils, hfsplus
-Description: A partition management utility
+ ntfs-3g, hfsutils, hfsplus
+Description: file, disk and partion management for KDE
  Partition Manager is a utility program to help you manage the disk devices,
  partitions and file systems on your computer. It allows you to easily create,
  copy, move, delete, resize without losing data, backup and restore partitions.
