=== debian/rules ===
#!/usr/bin/make -f

DEB_KDE_LINK_WITH_AS_NEEDED := yes

include /usr/share/pkg-kde-tools/makefiles/1/cdbs/kde.mk
include /usr/share/cdbs/1/rules/debhelper.mk

build/partitionmanager::
	pod2man --section=1 --release=$(VERSION) --center "" debian/partitionmanager.pod > partitionmanager.1

cleanbuilddir/partitionmanager::
	rm -f partitionmanager.1

DEB_INSTALL_MANPAGES_partitionmanager = partitionmanager.1
