=== debian/watch ===
version=3
opts="uversionmangle=s/-/~/;y/A-Z/a-z/" \
	http://sf.net/partitionman/partitionmanager-(.+)\.tar\.bz2 debian svn-upgrade
