## partitionmanager 1.1.0

=== debian/changelog ===
partitionmanager (1.1.0-0ubuntu3) utopic; urgency=medium

  [ Scarlett Clark ]
  * Add support for solid and udisks2

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Thu, 21 Aug 2014 17:20:44 +0200

partitionmanager (1.1.0-0ubuntu2) utopic; urgency=medium

  * Rebuild against libparted2.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 21 Jul 2014 21:29:03 +0100

partitionmanager (1.1.0-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Thu, 17 Jul 2014 05:32:58 -0700
