=== debian/control ===
--- 
+++ 
@@ -3,20 +3,35 @@
 Priority: optional
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
-Uploaders: Mark Purcell <msp@debian.org>, George Kiagiadakis <gkiagiad@csd.uoc.gr>
-Build-Depends: cdbs (>= 0.4.51), debhelper (>= 9), pkg-kde-tools (>= 0.6.4),
- kdelibs5-dev, libblkid-dev, libparted0-dev (>= 2.2), uuid-dev, pkg-config,
- cmake
-Standards-Version: 3.9.4
+Uploaders: Mark Purcell <msp@debian.org>,
+           George Kiagiadakis <gkiagiad@csd.uoc.gr>
+Build-Depends: cmake,
+               debhelper (>= 9),
+               extra-cmake-modules,
+               kdelibs5-dev,
+               libatasmart-dev,
+               libblkid-dev,
+               libparted0-dev,
+               pkg-config,
+               pkg-kde-tools,
+               uuid-dev,
+               udisks2
+Standards-Version: 3.9.5
 Homepage: http://www.partitionmanager.org
 Vcs-Svn: svn://anonscm.debian.org/pkg-kde/kde-extras/partionmanager/trunk/
 Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-kde/kde-extras/partionmanager/trunk/
 
 Package: partitionmanager
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Suggests: dosfstools, reiserfsprogs, reiser4progs, xfsprogs, jfsutils,
- ntfs-3g, hfsutils, hfsplus
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Suggests: dosfstools,
+          hfsplus,
+          hfsutils,
+          jfsutils,
+          ntfs-3g,
+          reiser4progs,
+          reiserfsprogs,
+          xfsprogs
 Description: file, disk and partion management for KDE
  Partition Manager is a utility program to help you manage the disk devices,
  partitions and file systems on your computer. It allows you to easily create,
