=== doc/CMakeLists.txt ===
add_subdirectory(en_US)
add_subdirectory(de)
add_subdirectory(it)
add_subdirectory(nl)
add_subdirectory(pt_BR)
add_subdirectory(sv)
add_subdirectory(uk)
