=== icons/CMakeLists.txt ===
ecm_install_icons(ICONS sc-apps-partitionmanager.svg DESTINATION ${ICON_INSTALL_DIR})
