=== doc/en_US/CMakeLists.txt ===
kdoctools_create_handbook(index.docbook
                          INSTALL_DESTINATION ${HTML_INSTALL_DIR}/en_US
                          SUBDIR partitionmanager)
