=== debian/changelog ===
partitionmanager (1.2.1-0ubuntu1.1) xenial; urgency=critical

  * Fix crash when clicking cancel button, which may cause data loss
    (LP: #1715576)
    - fix-crash-when-cancelling.patch

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 16 Sep 2017 15:04:39 -0500

partitionmanager (1.2.1-0ubuntu1) vivid; urgency=medium

  * New upstream release
    - Drop build-dep on libkf5kdelibs4support-data, no longer required
  * Update Homepage: in debian/control

 -- Scott Kitterman <scott@kitterman.com>  Tue, 17 Feb 2015 18:47:37 -0500

partitionmanager (1.2.0-0ubuntu2) vivid; urgency=medium

  * Remove obsolete build-dep on udisks2

 -- Scott Kitterman <scott@kitterman.com>  Mon, 16 Feb 2015 13:39:49 -0500

partitionmanager (1.2.0-0ubuntu1) vivid; urgency=medium

  * New upstream release (port to Kf5)
    - Remove debian/patches, all patches incorporated upstream
    - Replace build-dep on kdelibs5-dev with build-deps on required Kf5
      modules:
        kdoctools-dev,
        kio-dev,
        libkf5config-dev,
        libkf5crash-dev,
        libkf5i18n-dev,
        libkf5iconthemes-dev,
        libkf5jobwidgets-dev,
        libkf5kdelibs4support-data,
        libkf5windowsystem-dev,
        libkf5xmlgui-dev,
        libkf5widgetsaddons-dev
    - Drop dh_auto_configure override to set DENABLE_UDISKS2=ON, no longer
      needed
  * Update debian/copyright

 -- Scott Kitterman <scott@kitterman.com>  Mon, 16 Feb 2015 08:52:06 -0500
