## partitionmanager 3.0.0

=== doc/CMakeLists.txt ===
add_subdirectory(en)
add_subdirectory(ca)
add_subdirectory(de)
add_subdirectory(es)
add_subdirectory(et)
add_subdirectory(it)
add_subdirectory(nl)
add_subdirectory(pt_BR)
add_subdirectory(sv)
add_subdirectory(uk)
