=== debian/changelog ===
partitionmanager (3.0.0-1) unstable; urgency=medium

  [ Jonathan Carter ]
  * Update to new upstream version (Closes: #794438, #709474, LP: #1635756)
  * Update standards version to 3.9.8
  * Remove patches (no longer needed)
  * Update compat to level 10
  * Fix watch file (Closes: #788701)
  * Replace ntfsprogs dependency with ntfs-3g (Closes: #731957)
  * Replace partion typo with partition in control (Closes: 745290)
  * New build-deps: extra-cmake-modules, qtbase5-dev, libkf5widgetsaddons-dev,
                    libkf5xmlgui-dev, libkf5kiocore5, libkf5config-dev,
                    libkf5crash-dev, libkf5doctools-dev, libkf5jobwidgets-dev,
                    libkf5kio-dev, libkpmcore4-dev, libatasmart-dev
  * wrap-and-sort
  * Update homepage to new location on kde.org
  * Update copyright file to machine readable format
  * Add hardening export to debian/rules
  * Remove 3 lintian-overrides (no longer needed)
  * Add lintian override for insecure VCS URI
  * Remove maintainer scripts (no longer needed)
  * Add myself as uploader

  [ Scott Kitterman ]
  * Add missing build-depends on libkpmcore4-dev
  * Drop obsolete build-depends on kdelibs5-dev
  * Drop build-depends on cdbs and change debian rules to use dh
  * Update debian/copyright to for current license and copyright holders

 -- Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>  Sun, 25 Dec 2016 21:19:48 -0500

partitionmanager (1.0.3-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Backport support for libparted 3.1 from upstream (closes: #754580).
  * Include cmake module needed for CHECK_FUNCTION_EXISTS.

 -- Colin Watson <cjwatson@debian.org>  Sat, 19 Jul 2014 23:05:50 +0100
