=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all
DEB_KDE_LINK_WITH_AS_NEEDED := yes
DEB_CMAKE_CUSTOM_FLAGS := -DPARTMAN_KCM=OFF


%:
	dh $@ --parallel --with kf5
